ddot_result< A1, A2 >

## Public Types

typedef promote< typename float_traits< A1 >::type, typename float_traits< A2 >::type >::type | S
typedef binop_error< ddot_, A1, A2, undeterminated_basic< S > > | type

## Detailed Description

### template<class A1, class A2>
struct rheolef::details::ddot_result< A1, A2 >

Definition at line 1523 of file expression.h.

## Member Typedef Documentation

## S

typedef promote<typename float_traits<A1>::type, typename float_traits<A2>::type>::type S

Definition at line 1524 of file expression.h.

## type

typedef binop_error<ddot_,A1,A2,undeterminated_basic<S> > type

Definition at line 1525 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h